# 
# $Header: oraterm.mk.pp,v 6.7 90/05/30 10:56:14 eho Exp $ oraterm.mk.pp Copyr (c) 1986 Oracle
# 
#
# oraterm.mk - Makefile which is used to make Oracle*Terminal executable
#
# References: 
#	"Oracle*Terminal User's Guide"
#
# Usage:
#	$ make -f oraterm.mk ORACLE_HOME=<your ORACLE_HOME> oraterm
#

.SUFFIXES: .o .c .pc

OTMLIBS=liboraterm.a

LIBOKT=$(ORACLE_HOME)/orakit/lib/liboktc.a \
       $(ORACLE_HOME)/orakit/lib/libokt.a

ORALIBS=$(ORACLE_HOME)/rdbms/lib/libora.a 

OTHERLIBS=`cat $(ORACLE_HOME)/rdbms/lib/sysliblist`
CLIBS= $(OTHERLIBS)
ECHO=$(ORACLE_HOME)/bin/echodo

CLIBS= -lld $(OTHERLIBS)

CC=cc

CFLAGS=-I. -O

install: clean setup

clean:
	-rm -f oraterm

oraterm: 
	@$(ECHO) $(CC) $(LDFLAGS) -o $@ $(LIBOKT) $(OTMLIBS) $(LIBOKT) \
	$(OTMLIBS) $(LIBOKT) $(ORALIBS) $(CLIBS)

setup: oraterm
	rm -f $(ORACLE_HOME)/bin/oraterm
	mv oraterm $(ORACLE_HOME)/bin
	-chmod 751 $(ORACLE_HOME)/bin/oraterm

archive:

